MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022815Community[OCCT] OCCT:Foundation Classespublic2011-11-28 15:482012-04-03 19:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022815: Missing delete operator for placement new
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_22252/. [^]
RLN contribution.

"OCC classes generated by WOK redefine a placement new operator:
void* operator new(size_t,void* anAddress)
{
return anAddress;
}
However there is no pair delete operator, which must be empty and as follows:
void operator delete (void*, void*)
{
}

Lack of this leads to numerous warnings that memory will not be freed if the constructor raises an exception.

Reproducer:

class MyPnt : public gp_Pnt
{
public:
#if 0
//compilation warning unless defined
void operator delete (void*, void*)
{
cerr << "Exception is called in the constructor" << endl;
}
#endif

MyPnt()
{
#if 0
//you may want to throw an exception here
throw int (0);
#endif
}
};


char b[sizeof (MyPnt)];
new (b) MyPnt();
reinterpret_cast<MyPnt*> (b)->~MyPnt();


The fix should be made in WOK generator, for all hierarchies (gp_Storable, Standard_Transient, Standard_Persistent, classes manipulated by value).

By the way, using this opportunity you may want to revisit WOK generator to avoid generation of redundant redefinitions of new/delete operators in subclasses of Standard_Transient and Standard_Persistent, as definition in a base class is sufficient."
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
related to 0022816closedRoman Lygin Community Enhancement request: new[]/delete[] operators should be redefined to use OCC allocation 
related to 0022734closeddbv Community Memory allocation error in OpenGl 
related to 0023002closedbugmaster Open CASCADE empty delete operator in TDF_LabelNode 

-  Notes
(0018647)
szy (administrator)
2011-11-28 16:58

Note from the Forum.
"Dear Forum Supervisor

Please note in your internal tracker that 'placement delete' should be protected by macros for compilers that support it.In my case borland c does not support it.I am not sure if there are any other compilers that do not support it.

ps : borland compilers define __BORLANDC__ macro"
(0018677)
abv (manager)
2011-11-30 19:14

It seems that declaration of placement new operator is not necessary nowadays since all modern compilers should have it defined by default, according to C++ standard. In the past, it was likely necessary for old SUNPRO compiler.

 I suggest to remove declaration of placement new in all places (see CPPExt/CPPExt_Template.edl, Standard/Handle_Standard_Transient.hxx, and multiple other places across existing code where CDL-generated headers are kept in sources). Also pragma instructions switching relevant warning off should be removed; see e.g. LDOM_BasicAttribute.cxx, line 13:

      #pragma warning (disable:4291)

Note that suggestion to avoid redefinition of new/delete in all derived classes is not easy to implement, since the same template is used for both classes having ancestors and base classes.
(0019137)
dbv (developer)
2012-01-16 13:47

Fixes for bug 0022815:
1. Macro OVERRIDE_MEMORY_OPERATORS added to the src/Standard/Standard_Macro.hxx
2. Memory operators overriding was replaced to macro OVERRIDE_MEMORY_OPERATORS.
3. Added corresponding delete operator:
src/NCollection/NCollection_Array1.hxx
src/NCollection/NCollection_Array2.hxx
src/NCollection/NCollection_DataMap.hxx
src/NCollection/NCollection_DoubleMap.hxx
src/NCollection/NCollection_IndexedDataMap.hxx
src/NCollection/NCollection_IndexedMap.hxx
src/NCollection/NCollection_Map.hxx
src/NCollection/NCollection_Sequence.hxx
src/NCollection/NCollection_SList.hxx
src/NCollection/NCollection_TListIterator.hxx
src/NCollection/NCollection_TListNode.hxx
src/NCollection/NCollection_UBTree.hxx
src/NCollection/NCollection_Vector.hxx
src/NIS/NIS_Triangulated.hxx
src/Poly/Poly_CoherentTriPtr.hxx
4. Added missing memory operators to src/Standard/Standard_Persistent_proto.hxx
5. Removed workaround for old sun compiler from src/Standard/Standard_TypeDef.hxx
6. Removed pragma instructions switching off relevant warnings (4291).

branches
http://svn/svn/occt/branches/OCC22815 [^]
http://svn/svn/occt-products/branches/OCC22815 [^]
are ready to be reviewed.

Dear Andrey,
Please review.
(0019174)
abv (manager)
2012-01-18 19:57

Here are review remarks:

- Was removal of old SUN code in Standard_TypeDef.hxx necessary? If not, I suggest to return it back..

- In Standard_Macro.hxx, lines 22 and 49 contain some non-Ascii symbol in letter 'C' after 'BORLAND'; most likely it is Russian character

- Please separate new macros to their own header file instead of adding them to Standard_Macro.hxx. Let's call it, say, Standard_DefineAlloc.hxx (as operators new and delete are called allocation and deallocation functions in C++ standard).

- Following suggestion of Roman Lygin, I propose you to rename the macro to follow pattern used in other places: DEFINE_STANDARD_ALLOC

- Please revise implementation of the macro to avoid duplication in branch related to Borland compiler (put Borland-specific code to auxiliary macro)

- Add another macro to define new and delete with NCollection_Allocator, which is found multiple times across the code, and use it where such special new and delete are introduced. I suggest this macro is put in NCollection package and follow the same pattern (file name NCollection_DefineAlloc.hxx, macro name DEFINE_NCOLLECTION_ALLOC)

- Remove if() before call to Standard::Free() in delete operator: this check is made anyway inside Free() function

- Eliminate StandardCSFDB* functions (and relevant files in Standard package)
(0019191)
dbv (developer)
2012-01-20 11:56

Changes in accordance to the abv note:
1. Returned workaround for old sun compiler
2. Macro OVERRIDE_MEMORY_OPERATORS has been renamed to DEFINE_STANDARD_ALLOC and moved to separate file src/Standard/Standard_DefineAlloc.hxx
3. Added macro DEFINE_NCOLLECTION_ALLOC to define new and delete with NCollection_Allocator (src/NCollection/NCollection_DefineAlloc.hxx)
4. StandardCSFDB functions has been eliminated

branches
http://svn/svn/occt/branches/OCC22815 [^] [^]
http://svn/svn/occt-products/branches/OCC22815 [^] [^]
are ready to be reviewed.

Dear Andrey,
Please review.
(0019220)
abv (manager)
2012-01-23 09:29

Code reviewed; some additional corrections are integrated to the same branch (macros are improved to include support of old SUN compilers -- copy from other place; a few remaining new/delete operators are replaced by new macros in OpenGl, Poly, NCollection; some #includes are added to allow compilation with unmodified WOK)

Please test

Dmitry, please have a look at my last changes
(0019243)
apn (administrator)
2012-01-23 17:58

Dear BugMaster,
Workbench KAS:dev:apn-22815-occt was created from SVN branch http://svn/svn/occt/branches/OCC22815 [^]
(and apn-22815-products from branch http://svn/svn/occt-products/branches/OCC22815 [^]) and compiled on Linux platform.

There are compilation errors in apn-22815-products:

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx: In destructor 'virtual NCollection_Map<int>::Iterator::~Iterator()':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:70: instantiated from 'NCollection_Map<TheKeyType>& NCollection_Map<TheKeyType>::operator=(const NCollection_Map<TheKeyType>&) [with TheKeyType = int]'

/dn47/KAS/dev/apn-22815-occt/inc/BRepMesh_FastDiscret.lxx:46: instantiated from here

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:70: error: no suitable 'operator delete' for 'NCollection_Map<int>::Iterator'

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx: In member function 'NCollection_Map<TheKeyType>& NCollection_Map<TheKeyType>::operator=(const NCollection_Map<TheKeyType>&) [with TheKeyType = int]':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:148: note: synthesized method 'virtual NCollection_Map<int>::Iterator::~Iterator()' first required here

Info : Failed : :KAS:dev:apn-22815-products:DxfData:source:DxfData_MakePolyline.cxx

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx: In destructor 'virtual NCollection_Map<int>::Iterator::~Iterator()':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:70: instantiated from 'NCollection_Map<TheKeyType>& NCollection_Map<TheKeyType>::operator=(const NCollection_Map<TheKeyType>&) [with TheKeyType = int]'

/dn47/KAS/dev/apn-22815-occt/inc/BRepMesh_FastDiscret.lxx:46: instantiated from here

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:70: error: no suitable 'operator delete' for 'NCollection_Map<int>::Iterator'

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx: In member function 'NCollection_Map<TheKeyType>& NCollection_Map<TheKeyType>::operator=(const NCollection_Map<TheKeyType>&) [with TheKeyType = int]':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:148: note: synthesized method 'virtual NCollection_Map<int>::Iterator::~Iterator()' first required here

Info : Failed : :KAS:dev:apn-22815-products:Dxf2d:source:Dxf2d_MakePolyline.cxx

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Sequence.hxx: In destructor 'virtual NCollection_Sequence<BRepExtrema_SolutionElem>::Iterator::~Iterator()':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Sequence.hxx:51: error: no suitable 'operator delete' for 'NCollection_Sequence<BRepExtrema_SolutionElem>::Iterator'

/dn47/KAS/dev/apn-22815-products/src/ColDetectionAlgo/ColDetectionAlgo_Intersector.cxx: At global scope:

/dn47/KAS/dev/apn-22815-products/src/ColDetectionAlgo/ColDetectionAlgo_Intersector.cxx:555: note: synthesized method 'virtual NCollection_Sequence<BRepExtrema_SolutionElem>::Iterator::~Iterator()' first required here

Info : Failed : :KAS:dev:apn-22815-products:ColDetectionAlgo:source:ColDetectionAlgo_Intersector.cxx

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_DataMap.hxx: In destructor 'virtual NCollection_DataMap<int, int>::Iterator::~Iterator()':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_DataMap.hxx:70: error: no suitable 'operator delete' for 'NCollection_DataMap<int, int>::Iterator'

/dn47/KAS/dev/apn-22815-products/src/OMFTools/OMFTools_NASBaseReader.cxx: At global scope:

/dn47/KAS/dev/apn-22815-products/src/OMFTools/OMFTools_NASBaseReader.cxx:548: note: synthesized method 'virtual NCollection_DataMap<int, int>::Iterator::~Iterator()' first required here

Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_NASBaseReader.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_NASMeshReader.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_OBJFile.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_NASReader.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_PointsWriter.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_STLWriter.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTools:source:OMFTools_NASWriter.cxx

/dn47/KAS/dev/apn-22815-products/inc/OMFDS_MeshElementsIterator.hxx: In destructor 'virtual OMFDS_MeshElementsIterator::~OMFDS_MeshElementsIterator()':

/dn47/KAS/dev/apn-22815-products/inc/OMFDS_MeshElementsIterator.hxx:73: note: synthesized method 'virtual NCollection_Vector<Handle_OMFDS_MeshElement>::Iterator::~Iterator()' first required here
/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Vector.hxx: In destructor 'NCollection_Vector<TheItemType>::MemBlock::~MemBlock() [with TheItemType = Handle_OMFDS_MeshElement]':

/dn47/KAS/dev/apn-22815-products/src/OMFDS/OMFDS_MeshIDFactory.cxx:118: instantiated from here

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Vector.hxx:108: error: no suitable 'operator delete' for 'NCollection_Vector<Handle_OMFDS_MeshElement>::MemBlock'

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFDS:source:OMFDS_Mesh.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFDS:source:OMFDS_MeshIDFactory.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFDS:source:OMFDS_MeshElementsIterator.cxx

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Vector.hxx:128: error: no suitable 'operator delete' for 'NCollection_Vector<NCollection_UBTreeFiller<Handle_OMFDS_MeshElement, Bnd_B3d>::ObjBnd>::Iterator'

/dn47/KAS/dev/apn-22815-products/src/OMFAlgo/OMFAlgo_IntEF.cxx: At global scope:

/dn47/KAS/dev/apn-22815-products/src/OMFAlgo/OMFAlgo_IntEF.cxx:967: note: synthesized method 'virtual NCollection_Vector<NCollection_UBTreeFiller<Handle_OMFDS_MeshElement, Bnd_B3d>::ObjBnd>::Iterator::~Iterator()' first required here

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx: In destructor 'virtual NCollection_Map<ElemPair>::Iterator::~Iterator()':

/dn47/KAS/dev/apn-22815-occt/inc/NCollection_Map.hxx:70: error: no suitable 'operator delete' for 'NCollection_Map<ElemPair>::Iterator'

/dn47/KAS/dev/apn-22815-products/src/OMFAlgo/OMFAlgo_MeshIntersect.cxx: At global scope:

/dn47/KAS/dev/apn-22815-products/src/OMFAlgo/OMFAlgo_MeshIntersect.cxx:573: note: synthesized method 'virtual NCollection_Map<ElemPair>::Iterator::~Iterator()' first required here
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo_IntEF.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo_MeshIntersect.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo_IntersectOnTree.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo_LineIntersect.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:source:OMFAlgo_PlaneIntersect.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:derivated:OMFAlgo_DataMapOfTwoNodesMapOfInteger_0.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:derivated:OMFAlgo_DataMapOfIntegerMapOfInteger_0.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:derivated:OMFAlgo_DataMapIteratorOfDataMapOfTwoNodesMapOfInteger_0.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFAlgo:derivated:OMFAlgo_DataMapIteratorOfDataMapOfIntegerMapOfInteger_0.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFBool:source:OMFBool_BooleanOperation.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFBool:source:OMFBool_SplitElement.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFBool:source:OMFBool_DivideContour.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFBool:source:OMFBool_ClassifyPoint.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFCAF:source:OMFCAF.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFCAF:source:OMFCAF_TMesh.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFCAF:source:OMFCAF_MeshBinDriver.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFCAF:source:OMFCAF_BinStorageDriver.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFCAF:source:OMFCAF_BinRetrievalDriver.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFControl:source:OMFControl_BoundaryEdges.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFControl:source:OMFControl_BoundaryFaces.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFEdit:source:OMFEdit_Transform.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFEdit:source:OMFEdit_PlaneMesher.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFEdit:source:OMFEdit_LinearGraph.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFEdit:source:OMFEdit_LinearGraphContour.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_DirectionsBuffer.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_Mesh.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_DataSource.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_MeshOwner.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_VisibleFilter.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFVS:source:OMFVS_MeshElementsIterator.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:OMFTest:source:OMFTest_ModelCommands.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTest:source:OMFTest_FileCommands.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTest:source:OMFTest_EditCommands.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTest:source:OMFTest_DisplayCommands.cxx
Info : Failed : :KAS:dev:apn-22815-products:OMFTest:source:OMFTest_DrawableMesh.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:EMeshTest:source:EMeshTest.cxx
Info : Failed : :KAS:dev:apn-22815-products:EMeshTest:source:EMeshTest_Face2d.cxx
Info : Failed : :KAS:dev:apn-22815-products:EMeshTest:source:EMeshTest_DrawableModel.cxx
Info : Failed : :KAS:dev:apn-22815-products:EMeshTest:source:EMeshTest_Verifier.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr_QuadNode.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr_QuadTree.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr_Triangulator.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr_Interpolator.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMBgr:source:QMBgr_FacetBuilder.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_BgrMesh.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_Edge.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_Face.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_Model.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_PolyEdgeSeg2d.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMData:source:QMData_Wire.cxx
Info : -----------------------------------------------------------------
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:QMShape:source:QMShape_Tessellator.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMShape:source:QMShape_DiscrCurve.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMShape:source:QMShape_CurveAdaptor.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMShape:source:QMShape_EnrichDiscrCurves.cxx
Info : -----------------------------------------------------------------
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_EdgeCorrector.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_WireCorrector.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_FaceCorrector.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_IntPolySeg2d.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_WireAdaptor.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_Classifier2d.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_CircleBndTree.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_BndSeg2dTree.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_WireIterator.cxx
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_Polygon2dTool.cxx
Info : -----------------------------------------------------------------
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:BestFitBnd:source:BestFitBnd_Sphere.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitBnd:source:BestFitBnd_SphereOfSegment.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitBnd:source:BestFitBnd_SphereOfTriangle.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitBnd:source:BestFitBnd_HUBTreeOfSphere.cxx
Info : -----------------------------------------------------------------
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_Solution.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_ShapeData.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_EdgeData.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_FaceData.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_Function.cxx
Info : Failed : :KAS:dev:apn-22815-products:BestFitAlgo:source:BestFitAlgo_Projector.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:BestFitAPI:source:BestFitAPI_Algo.cxx
Info : -----------------------------------------------------------------

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:BestFitTest:source:BestFitTest.cxx
Info : -----------------------------------------------------------------
(0019309)
dbv (developer)
2012-01-30 15:20

Macros DEFINE_STANDARD_ALLOC and DEFINE_NCOLLECTION_ALLOC have been added to the nested class NCollection_BaseCollection::Iterator and have been removed from all derived classes. Added #includes to allow compilation with unmodified WOK.

Branch http://svn/svn/occt/branches/OCC22815 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019315)
abv (manager)
2012-01-30 19:00

No remarks; please test
(0019321)
apn (administrator)
2012-01-31 14:26
edited on: 2012-01-31 14:27

Dear BugMaster,
Workbench KAS:dev:apn-22815-occt was updated from SVN branch http://svn/svn/occt/branches/OCC22815 [^] [^]
(and apn-22815-products from branch http://svn/svn/occt-products/branches/OCC22815 [^] [^]) and compiled on Linux platform.
Compilation on Windows platform is in process now.

There is compilation error:
Error : Failed : QMTools_IntPolySeg2d.cxx
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22815-products:QMTools:source:QMTools_IntPolySeg2d.cxx
Info : -----------------------------------------------------------------

In file included from /dn47/KAS/dev/apn-22815-products/src/QMTools/QMTools_IntPolySeg2d.cxx:32:

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In constructor 'QMTools_InterferencePolygon2d::QMTools_InterferencePolygon2d()':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:29: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'oClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:30: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'tClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:31: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:32: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:33: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'nbso'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:34: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:35: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In constructor 'QMTools_InterferencePolygon2d::QMTools_InterferencePolygon2d(const QMData_PolySeg2d&, const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:46: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'oClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:47: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'tClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:48: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:49: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:50: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'nbso'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:51: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:52: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:60: error: 'nbso' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:61: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:62: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In constructor 'QMTools_InterferencePolygon2d::QMTools_InterferencePolygon2d(const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:77: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'oClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:78: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'tClos'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:79: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:80: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'iObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:81: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'nbso'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:82: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje1'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:83: error: class 'QMTools_InterferencePolygon2d' does not have any field named 'BeginOfNotClosedObje2'

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:88: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:89: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In member function 'void QMTools_InterferencePolygon2d::Perform(const QMData_PolySeg2d&, const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:108: error: 'nbso' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:109: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:110: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In member function 'void QMTools_InterferencePolygon2d::Perform(const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:128: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:129: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In member function 'void QMTools_InterferencePolygon2d::Interference(const QMData_PolySeg2d&, const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:159: error: 'BeginOfNotClosedObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:159: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:160: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:166: error: 'BeginOfNotClosedObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:166: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:167: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In member function 'void QMTools_InterferencePolygon2d::Interference(const QMData_PolySeg2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:195: error: 'BeginOfNotClosedObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:195: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:196: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:202: error: 'BeginOfNotClosedObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:202: error: 'tClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:203: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx: In member function 'void QMTools_InterferencePolygon2d::Intersect(const gp_Pnt2d&, const gp_Pnt2d&, const gp_Pnt2d&, const gp_Pnt2d&)':

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:313: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:313: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:348: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:349: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:354: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:355: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:361: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:362: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:374: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:375: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:380: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:381: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:387: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:388: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:399: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:400: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:411: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:412: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:434: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:435: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:457: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:458: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:483: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:484: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:546: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:547: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:560: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:561: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:598: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:599: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:618: error: 'iObje2' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:618: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:619: error: 'oClos' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:619: error: 'nbso' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:654: error: 'iObje1' was not declared in this scope

/dn47/KAS/dev/apn-22815-occt/inc/Intf_InterferencePolygon2d.gxx:655: error: 'iObje2' was not declared in this scope

(0019342)
dbv (developer)
2012-02-02 10:02

to apn:
update workbenches KAS:dev:apn-22815-occt and KAS:dev:apn-22815-products
looks like you have outdated version of products workbench.
e.g. class QMTools_InterferencePolygon2d missing some fields in file /dn47/KAS/dev/apn-22815-products/src/QMTools/QMTools_IntPolySeg2d.hxx

please update workbenches and test.
(0019456)
dbv (developer)
2012-02-08 12:15

Recent changes in OpenGL package has been merged.

Branch http://svn/svn/occt/branches/OCC22815 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019461)
abv (manager)
2012-02-08 14:53

No remarks, please test
(0019725)
dbv (developer)
2012-02-22 14:14

File src/TDF/TDF_LabelNode.hxx has been reverted to revision 10051 with added protection for SUNPRO compiler

Branch http://svn/svn/occt/branches/OCC22815 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019728)
abv (manager)
2012-02-22 14:31

No remarks, please test.

I still suggest to register separate issue on the way how new and delete operators are defined and used for TDF_LabelNode class (new with allocator is used while delete is normal one; the right way would be to use delete with allocator as well).
(0019755)
aan (tester)
2012-02-23 15:14
edited on: 2012-02-23 15:15

Dear BugMaster,
Workbench KAS:dev:apn-OCC22815-occt from SVN branch http://svn/svn/occt/branches/OCC22815 [^]
(and apn-OCC22815-products from trunk) was successfully compiled and tested on Linux.

There are not regressions in apn-OCC22815-products regarding to KAS:dev:products-20120217-opt


See results in /QADisk/occttests/results/KAS/dev/apn-OCC22815-products_22022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120217-opt_17022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019858)
bugmaster (administrator)
2012-03-04 18:32

Integrated into trunk of oct-products reposirory

Date: 2012-03-04 18:25:56 +0400 (Sun, 04 Mar 2012)
New Revision: 18560

Modified:
   trunk/src/CPPExt/CPPExt_Template.edl
   trunk/src/EMeshTest/EMeshTest_DrawableModel.hxx
   trunk/src/EMeshTest/EMeshTest_Face2d.hxx
   trunk/src/OMFCAF/OMFCAF_MeshCommand.hxx
   trunk/src/QMTools/QMTools_IntPolySeg2d.hxx
   trunk/src/WOKTools/WOKTools_DataMap.gxx
   trunk/src/WOKTools/WOKTools_DoubleMap.gxx
   trunk/src/WOKTools/WOKTools_IndexedDataMap.gxx
   trunk/src/WOKTools/WOKTools_IndexedMap.gxx
   trunk/src/WOKTools/WOKTools_Map.gxx
(0019909)
bugmaster (administrator)
2012-03-10 13:28

Integrated into master

- Related Changesets
occt: master 1c35b92f
Timestamp: 2012-03-06 08:32:06
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022815: Missing delete operator for placement new
mod - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SolutionElem.hxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_OneAxis.hxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.hxx Diff ] File ]
mod - src/DBC/DBC_VArray.gxx Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic_degeneration.hxx Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic_telem.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicAttribute.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicAttribute.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicElement.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicElement.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicNode.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicText.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicText.hxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
mod - src/NCollection/NCollection_Array1.hxx Diff ] File ]
mod - src/NCollection/NCollection_Array2.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseCollection.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseList.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_CellFilter.hxx Diff ] File ]
mod - src/NCollection/NCollection_DataMap.hxx Diff ] File ]
add - src/NCollection/NCollection_DefineAlloc.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineArray1.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineArray2.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineDoubleMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineIndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineIndexedMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineList.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineQueue.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineSet.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineSList.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineStack.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineTListIterator.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineTListNode.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineVector.hxx Diff ] File ]
mod - src/NCollection/NCollection_DoubleMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_List.hxx Diff ] File ]
mod - src/NCollection/NCollection_ListNode.hxx Diff ] File ]
mod - src/NCollection/NCollection_Map.hxx Diff ] File ]
mod - src/NCollection/NCollection_Queue.hxx Diff ] File ]
mod - src/NCollection/NCollection_Sequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_Set.hxx Diff ] File ]
mod - src/NCollection/NCollection_SList.hxx Diff ] File ]
mod - src/NCollection/NCollection_SparseArray.hxx Diff ] File ]
mod - src/NCollection/NCollection_Stack.hxx Diff ] File ]
mod - src/NCollection/NCollection_TListIterator.hxx Diff ] File ]
mod - src/NCollection/NCollection_TListNode.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTree.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/NIS/NIS_Drawer.hxx Diff ] File ]
mod - src/NIS/NIS_Triangulated.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Light.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Marker.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_MarkerSet.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Matrix.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Mesh.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Polygon.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Polygon.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Polyline.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PriorityList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_QuadrangleStrip.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextParam.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TriangleStrip.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentNode.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriPtr.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriPtr.hxx Diff ] File ]
mod - src/Poly/Poly_Connect.cxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
mod - src/Standard/Handle_Standard_Persistent.hxx Diff ] File ]
mod - src/Standard/Handle_Standard_Transient.hxx Diff ] File ]
mod - src/Standard/StandardCSFDB.cxx Diff ] File ]
add - src/Standard/Standard_DefineAlloc.hxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]
mod - src/Standard/Standard_Persistent_proto.hxx Diff ] File ]
mod - src/Standard/Standard_Transient_proto.hxx Diff ] File ]
mod - src/Standard/Standard_TypeDef.hxx Diff ] File ]
mod - src/Storage/Storage_BucketOfPersistent.hxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.hxx Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TDF/TDF_Label.cxx Diff ] File ]
mod - src/TDF/TDF_LabelNode.hxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cxx Diff ] File ]
mod - src/VoxelClient/VoxelClient_VisDrawer.cxx Diff ] File ]
occt: master 65c62757
Timestamp: 2012-03-07 06:54:31
Author: bugmaster
Details ] Diff ]
0022815: Missing delete operator for placement new
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-11-28 15:48 szy New Issue
2011-11-28 15:48 szy Assigned To => abv
2011-11-28 16:58 szy Note Added: 0018647
2011-11-30 19:14 abv Note Added: 0018677
2011-11-30 19:14 abv Assigned To abv => dbv
2011-11-30 19:14 abv Status new => assigned
2012-01-16 13:47 dbv Note Added: 0019137
2012-01-16 13:47 dbv Assigned To dbv => abv
2012-01-16 13:47 dbv Status assigned => resolved
2012-01-18 19:57 abv Note Added: 0019174
2012-01-18 19:57 abv Assigned To abv => dbv
2012-01-18 19:57 abv Status resolved => assigned
2012-01-18 20:00 abv Relationship added related to 0022816
2012-01-20 11:56 dbv Note Added: 0019191
2012-01-20 11:56 dbv Assigned To dbv => abv
2012-01-20 11:56 dbv Status assigned => resolved
2012-01-23 09:29 abv Note Added: 0019220
2012-01-23 09:29 abv Assigned To abv => dbv
2012-01-23 09:29 abv Status resolved => reviewed
2012-01-23 17:58 apn Note Added: 0019243
2012-01-23 18:00 apn Status reviewed => assigned
2012-01-30 15:20 dbv Note Added: 0019309
2012-01-30 15:20 dbv Assigned To dbv => abv
2012-01-30 15:20 dbv Status assigned => resolved
2012-01-30 19:00 abv Note Added: 0019315
2012-01-30 19:00 abv Assigned To abv => dbv
2012-01-30 19:00 abv Status resolved => reviewed
2012-01-31 14:26 apn Note Added: 0019321
2012-01-31 14:27 apn Note Edited: 0019321 View Revisions
2012-01-31 14:28 apn Status reviewed => assigned
2012-02-02 09:49 dbv Status assigned => resolved
2012-02-02 10:02 dbv Note Added: 0019342
2012-02-02 10:02 dbv Status resolved => reviewed
2012-02-08 12:12 dbv Status reviewed => assigned
2012-02-08 12:15 dbv Note Added: 0019456
2012-02-08 12:15 dbv Assigned To dbv => abv
2012-02-08 12:15 dbv Status assigned => resolved
2012-02-08 14:53 abv Note Added: 0019461
2012-02-08 14:53 abv Assigned To abv => dbv
2012-02-08 14:53 abv Status resolved => reviewed
2012-02-14 12:33 apn Status reviewed => assigned
2012-02-16 09:28 dbv Status assigned => resolved
2012-02-16 10:05 dbv Status resolved => assigned
2012-02-21 11:53 kgv Relationship added related to 0022734
2012-02-22 14:14 dbv Note Added: 0019725
2012-02-22 14:14 dbv Assigned To dbv => abv
2012-02-22 14:14 dbv Status assigned => resolved
2012-02-22 14:31 abv Note Added: 0019728
2012-02-22 14:31 abv Assigned To abv => dbv
2012-02-22 14:31 abv Status resolved => reviewed
2012-02-22 14:36 dbv Relationship added related to 0023002
2012-02-22 16:28 apn Assigned To dbv => aan
2012-02-23 15:14 aan Note Added: 0019755
2012-02-23 15:15 aan Note Edited: 0019755 View Revisions
2012-02-23 15:35 aan Status reviewed => tested
2012-02-24 10:22 apn Test case number => Test case is not required
2012-02-24 10:22 apn Assigned To aan => bugmaster
2012-03-04 18:32 bugmaster Note Added: 0019858
2012-03-10 13:28 bugmaster Note Added: 0019909
2012-03-10 13:28 bugmaster Status tested => verified
2012-03-10 13:28 bugmaster Resolution open => fixed
2012-03-10 13:28 bugmaster Assigned To bugmaster => dbv
2012-03-29 17:26 bugmaster Changeset attached => occt master 65c62757
2012-03-29 17:26 bugmaster Changeset attached => occt master 1c35b92f
2012-04-03 19:26 abv Assigned To dbv => Roman Lygin


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker